"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Code = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _react = _interopRequireDefault(require("react"));

var _uiSchema = require("@ui-schema/ui-schema");

var _FormLabel = _interopRequireDefault(require("@material-ui/core/FormLabel"));

var _LocaleHelperText = require("@ui-schema/ds-material/Component/LocaleHelperText/LocaleHelperText");

var _CodeRenderer = require("@ui-schema/material-code/CodeRenderer");

var Code = function Code(props) {
  var valid = props.valid,
      showValidity = props.showValidity,
      ownKey = props.ownKey,
      schema = props.schema,
      required = props.required,
      errors = props.errors;
  var format = schema.get('format');

  if (process.env.NODE_ENV === 'development' && typeof format !== 'string') {
    console.log('Code schema without string format');
  }

  var hideTitle = schema.getIn(['view', 'hideTitle']);
  return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement(_FormLabel["default"], {
    error: !valid && showValidity,
    style: {
      marginBottom: 12,
      display: 'block'
    }
  }, !hideTitle ? (0, _uiSchema.beautifyKey)(ownKey, schema.get('tt')) + (required ? ' *' : '') : null, !hideTitle && ' (', /*#__PURE__*/_react["default"].createElement(_uiSchema.Trans, {
    text: 'formats.' + format
  }), !hideTitle && ') '), typeof format === 'string' ? /*#__PURE__*/_react["default"].createElement(_CodeRenderer.CodeRenderer, (0, _extends2["default"])({}, props, {
    format: format
  })) : null, /*#__PURE__*/_react["default"].createElement(_LocaleHelperText.ValidityHelperText, {
    errors: errors,
    showValidity: showValidity,
    schema: schema
  }));
};

exports.Code = Code;