import _extends from "@babel/runtime/helpers/extends";
import React from 'react';
import { beautifyKey, Trans } from '@ui-schema/ui-schema';
import FormLabel from '@material-ui/core/FormLabel';
import { ValidityHelperText } from '@ui-schema/ds-material/Component/LocaleHelperText/LocaleHelperText';
import { CodeRenderer } from '@ui-schema/material-code/CodeRenderer';
export const Code = props => {
  const {
    valid,
    showValidity,
    ownKey,
    schema,
    required,
    errors
  } = props;
  const format = schema.get('format');

  if (process.env.NODE_ENV === 'development' && typeof format !== 'string') {
    console.log('Code schema without string format');
  }

  const hideTitle = schema.getIn(['view', 'hideTitle']);
  return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(FormLabel, {
    error: !valid && showValidity,
    style: {
      marginBottom: 12,
      display: 'block'
    }
  }, !hideTitle ? beautifyKey(ownKey, schema.get('tt')) + (required ? ' *' : '') : null, !hideTitle && ' (', /*#__PURE__*/React.createElement(Trans, {
    text: 'formats.' + format
  }), !hideTitle && ') '), typeof format === 'string' ? /*#__PURE__*/React.createElement(CodeRenderer, _extends({}, props, {
    format: format
  })) : null, /*#__PURE__*/React.createElement(ValidityHelperText, {
    errors: errors,
    showValidity: showValidity,
    schema: schema
  }));
};